package FvwmNotify;
use strict;
use warnings;
use Net::DBus;

my $bus=Net::DBus->session();
my $notify=$bus->get_service('org.freedesktop.Notifications')
    ->get_object('/org/freedesktop/Notifications',
                 'org.freedesktop.Notifications');

sub notify {
    my ($app,$summary,$text,$delay,$iconfile)=@_;
    $notify->Notify($app,0,
                    (defined $iconfile ? "file://$iconfile" : ''),
                    $summary,
                    $text,
                    [],{},$delay);
}

1;
